/* termsize.cmd 
   $Id$ 
   Sample REXX script for the termsize library
 */

True  = 1
False = 0

call rxtermload  /* check for the library */

parse arg param

if param <> "" then
  do
  if Translate(param) = "/S" then
    show_size = True
  else
    do
    say "termsize [/s]"
    say "Sets the environment variables LINES & COLUMNS"
    say "If /s is given, the values are also written to stdout"
    exit
    end
  end
else
  show_size = False

/*
x_env = Value("COLUMNS",, "OS2ENVIRONMENT")
y_env = Value("LINES",, "OS2ENVIRONMENT")
say "environment indicates:" x_env" "y_env
*/

parse value rxgettermsize() with x y
if (x < 0) | (y < 0) then
  do
  say "Can't detect size"
  end
else 
  do
  if show_size then
    do
    say "COLUMNS" x
    say "LINES" y
  end
  rc = Value("COLUMNS", x, "OS2ENVIRONMENT")
  rc = Value("LINES", y, "OS2ENVIRONMENT")  
  end

call rxtermdrop
FIN:
exit


rxtermload:
if RxFuncQuery('rxgettermsize') <> 0 then
  do
  if RxFuncAdd('rxgettermsize', 'termsize', 'rxgettermsize') <> 0 then
      do
      say 'Sorry, your system seems to lack the termsize lib!'
      exit
      end
  end
return


rxtermdrop:
rc = RxFuncDrop('rxgettermsize')
return
