/* $Id$ */
/* Public entry points for termsize library */

/*
   Both functions will return the number of rows/columns.
   The code tries the appropriate API for the current session 
   (OS/2 window, fullscreen, xterm). 
   Fallbacks are the environment entries COLUMNS & LINES and
   finally the constants 80 & 25. No additional info which
   method finally succeeded is supplied.
*/

#ifndef _TERMSIZE_H
#define _TERMSIZE_H

#ifdef _REXX_SUPPORT
#define INCL_REXXSAA
#include <os2.h>          /* required for the rxtermsize prototype */
#endif

#if defined (__cplusplus)
extern "C" {
#endif

/* public entries: */

/* C-bindings */
extern int
gettermsize (int *cols, int *rows); /* returns != 0 upon error */

extern int
settermsize (int *cols, int *rows); /* returns != 0 upon error */

#ifdef _REXX_SUPPORT
extern ULONG 
rxgettermsize(PSZ funcame, 
           LONG  Argc, 
           RXSTRING  Argv[],
           PSZ Queuename, 
           PRXSTRING Retstr);

extern ULONG 
rxsettermsize(PSZ funcame, 
           LONG  Argc, 
           RXSTRING  Argv[],
           PSZ Queuename, 
           PRXSTRING Retstr);
#endif /* _REXX_SUPPORT */


#ifdef _BACKWARD_COMPATIBILITY
extern int
termsize (int *cols, int *rows); /* returns != 0 upon error */

#ifdef _REXX_SUPPORT
extern ULONG 
rxtermsize(PSZ funcame, 
           LONG  Argc, 
           RXSTRING  Argv[],
           PSZ Queuename, 
           PRXSTRING Retstr);
#endif /* _REXX_SUPPORT */

#endif /* _BACKWARD_COMPATIBILITY */

#if defined (__cplusplus)
}
#endif

#endif /* _TERMSIZE_H */
